Bug 1010639 - [abrt] gnome-settings-daemon-3.9.92-1.fc20: gnome_rr_screen_get_dpms_mode: Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
[abrt] gnome-settings-daemon-3.9.92-1.fc20: gnome_rr_screen_get_dpms_mode: Pr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:1b37c9e3e8f20eab3e209255b4f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 04:39 EDT by Elad Alfassa
Modified: 2015-06-29 08:25 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.67 KB, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: core_backtrace (19.55 KB, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: dso_list (16.79 KB, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: environ (1.29 KB, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: maps (82.16 KB, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: open_fds (1.40 KB, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details
File: var_log_messages (17.48 KB, text/plain)
2013-09-22 04:39 EDT, Elad Alfassa
no flags Details

  None (edit)
Description Elad Alfassa 2013-09-22 04:39:09 EDT
Description of problem:
Connect an external screen. Both gnome-session and gnome-shell crashed. ABRT couldn't catch the shell crash for some reason.

Relevant log:

Sep 22 11:06:52 rincewind gnome-session[657]: Window manager warning: Log level 6: The program 'gnome-shell' received an X Window System error.
Sep 22 11:06:52 rincewind gnome-session[657]: This probably reflects a bug in the program.
Sep 22 11:06:52 rincewind gnome-session[657]: The error was 'XSyncBadAlarm'.
Sep 22 11:06:52 rincewind gnome-session[657]: (Details: serial 1423 error_code 135 request_code 134 minor_code 9)
Sep 22 11:06:52 rincewind gnome-session[657]: (Note to programmers: normally, X errors are reported asynchronously;
Sep 22 11:06:52 rincewind gnome-session[657]: that is, you will receive the error a while after causing it.
Sep 22 11:06:52 rincewind gnome-session[657]: To debug your program, run it with the GDK_SYNCHRONIZE environment
Sep 22 11:06:52 rincewind gnome-session[657]: variable to change this behavior. You can then get a meaningful
Sep 22 11:06:52 rincewind gnome-session[657]: backtrace from your debugger if you break on the gdk_x_error() function.)
Sep 22 11:06:52 rincewind gnome-session[657]: Failed to play sound: File or data not found
Sep 22 11:06:54 rincewind gnome-session[657]: gnome-session[657]: WARNING: Application 'gnome-shell.desktop' killed by signal 5
Sep 22 11:06:54 rincewind gnome-session[657]: WARNING: Application 'gnome-shell.desktop' killed by signal 5
Sep 22 11:06:54 rincewind gnome-session[657]: (gnome-settings-daemon:863): GnomeDesktop-CRITICAL **: gnome_rr_screen_list_outputs: assertion 'GNOME_IS_RR_SCREEN (screen)' failed
Sep 22 11:06:54 rincewind gnome-session[657]: gnome-session[657]: GnomeDesktop-WARNING: Failed to acquire idle monitor proxy: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (time

Version-Release number of selected component:
gnome-settings-daemon-3.9.92-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: gnome_rr_screen_get_dpms_mode
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gnome_rr_screen_get_dpms_mode at gnome-rr.c:955
 #1 gnome_rr_screen_set_dpms_mode at gnome-rr.c:1003
 #2 backlight_enable at gsd-power-manager.c:1890
 #3 on_rr_screen_acquired at gsd-power-manager.c:3252
 #4 g_task_return_now at gtask.c:1108
 #5 g_task_return at gtask.c:1161
 #6 on_proxy_acquired at gnome-rr.c:597
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #8 complete_in_idle_cb at gsimpleasyncresult.c:789
 #13 gtk_main at gtkmain.c:1158

Potential duplicate: bug 1003240
Comment 1 Elad Alfassa 2013-09-22 04:39:14 EDT
Created attachment 801127 [details]
File: backtrace
Comment 2 Elad Alfassa 2013-09-22 04:39:18 EDT
Created attachment 801128 [details]
File: cgroup
Comment 3 Elad Alfassa 2013-09-22 04:39:22 EDT
Created attachment 801129 [details]
File: core_backtrace
Comment 4 Elad Alfassa 2013-09-22 04:39:30 EDT
Created attachment 801130 [details]
File: dso_list
Comment 5 Elad Alfassa 2013-09-22 04:39:34 EDT
Created attachment 801131 [details]
File: environ
Comment 6 Elad Alfassa 2013-09-22 04:39:37 EDT
Created attachment 801132 [details]
File: exploitable
Comment 7 Elad Alfassa 2013-09-22 04:39:41 EDT
Created attachment 801133 [details]
File: limits
Comment 8 Elad Alfassa 2013-09-22 04:39:45 EDT
Created attachment 801134 [details]
File: maps
Comment 9 Elad Alfassa 2013-09-22 04:39:48 EDT
Created attachment 801135 [details]
File: open_fds
Comment 10 Elad Alfassa 2013-09-22 04:39:52 EDT
Created attachment 801136 [details]
File: proc_pid_status
Comment 11 Elad Alfassa 2013-09-22 04:39:56 EDT
Created attachment 801137 [details]
File: var_log_messages
Comment 12 flashl 2013-12-07 08:25:48 EST
Create file within /etc/X11/xorg.conf.d supporting configuration using nouveau driver for NVIDIA NV96 gpu and two monitors plus monitor, device, and screen sections using intel driver for initel 4000 gpu with one monitor.  Gnome presents "Oops" message at login screen while /var/log/messages contains GDM complaints: 

Dec  7 03:55:52 blackheart gnome-session[4046]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
Dec  7 03:55:52 blackheart gnome-session[4046]: GnomeDesktop-WARNING: Failed to acquire idle monitor object manager: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Dec  7 03:55:52 blackheart kernel: [ 1803.271435] gnome-settings-[4205]: segfault at 18 ip 000000337be1be59 sp 00007fff541a10c0 error 4 in libgnome-desktop-3.so.8.0.0[337be00000+40000]
Dec  7 03:55:52 blackheart kernel: [ 1803.463079] gnome-shell[4293]: segfault at 0 ip 000000337d68aef9 sp 00007ffff860d4d0 error 4 in libmutter.so.0.0.0[337d600000+e4000]
Dec  7 03:55:52 blackheart colord: Profile removed: icc-a087934df5bd9345322d8baaccc4f9d2
Dec  7 03:55:52 blackheart gnome-session[4046]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal 11
Dec  7 03:55:53 blackheart gnome-session[4046]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
Dec  7 03:55:53 blackheart gnome-session[4046]: WARNING: App 'gnome-shell.desktop' respawning too quickly

Just a non-tech observation, don't know if this helps.  Although startx process using muliti head (nvidia +intel) configuration was initiated with logverbose 9, Xorg.log ends with "Nouveau LeaveVT" entry when gnome segfaults. However, when gnome starts successfully and Xorg is configured using only the novueau gpu multi display configuration the Xorg.log shows Nouveau running to completion.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: gnome_rr_screen_get_dpms_mode
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.11.9-300.fc20.x86_64
package:        gnome-settings-daemon-3.10.2-1.fc20
reason:         Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 13 Fedora End Of Life 2015-05-29 05:26:11 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:25:47 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.